## template-glib 3.34.1

=== meson_options.txt ===

# Performance and debugging related options
option('enable_tracing', type: 'boolean', value: false)
option('enable_profiling', type: 'boolean', value: false)

# Support for multiple languages
option('with_introspection', type: 'boolean', value: true)
option('with_vapi', type: 'boolean', value: true)

# For subproject usage
option('package_subdir', type: 'string',
  description: 'Private sub-directory used when built as a subproject'
)

option('enable_gtk_doc',
       type: 'boolean', value: false,
       description: 'Whether to generate the API reference for Template-GLib')

## template-glib 3.25.3

=== debian/changelog ===
template-glib (3.25.3-1) unstable; urgency=low

  * Initial release (Closes: #871684)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 20 Jul 2017 18:48:27 -0400

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: template-glib
Section: libs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
Build-Depends: bison,
               debhelper (>= 10.3),
               flex,
               gnome-pkg-tools,
               gobject-introspection,
               gtk-doc-tools,
               libgirepository1.0-dev,
               libglib2.0-dev,
               meson (>= 0.38.1),
               valac
Standards-Version: 4.0.1
Homepage: https://people.gnome.org/~chergert/docs/template-glib/
Vcs-Git: https://anonscm.debian.org/git/pkg-gnome/template-glib.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-gnome/template-glib.git/

Package: libtemplate-glib-1.0-0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libtemplate-glib-common (>= ${source:Version})
Description: templating library for GLib
 Template-GLib includes a simple template format along with integration into
 GObject Introspection for properties and methods. It separates the parsing of
 templates and the expansion of templates for faster expansion. You can also
 define scope, custom functions, and more with the embedded expression
 language.

Package: libtemplate-glib-1.0-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libtemplate-glib-1.0-0 (= ${binary:Version}),
         gir1.2-template-1.0 (= ${binary:Version}),
         libglib2.0-dev,
Suggests: libtemplate-glib-doc
Description: templating library for GLib - development files
 Template-GLib includes a simple template format along with integration into
 GObject Introspection for properties and methods. It separates the parsing of
 templates and the expansion of templates for faster expansion. You can also
 define scope, custom functions, and more with the embedded expression
 language.
 .
 This package contains the development files.

Package: libtemplate-glib-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: templating library for GLib - common files
 Template-GLib includes a simple template format along with integration into
 GObject Introspection for properties and methods. It separates the parsing of
 templates and the expansion of templates for faster expansion. You can also
 define scope, custom functions, and more with the embedded expression
 language.
 .
 This package contains common data files and translations.

Package: libtemplate-glib-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: templating library for GLib - documentation
 Template-GLib includes a simple template format along with integration into
 GObject Introspection for properties and methods. It separates the parsing of
 templates and the expansion of templates for faster expansion. You can also
 define scope, custom functions, and more with the embedded expression
 language.
 .
 This package contains the API reference.

Package: gir1.2-template-1.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${gir:Depends}
Description: GObject introspection data for template-glib
 This package contains GObject introspection information.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

## template-glib 3.25.92

=== debian/changelog ===
template-glib (3.25.92-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright: Remove obsolete comment (Closes: #873619)

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 05 Sep 2017 19:58:15 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
+Uploaders: Jeremy Bicha <jbicha@debian.org>
 Build-Depends: bison,
                debhelper (>= 10.3),
                flex,

## template-glib 3.26.1

=== debian/changelog ===
template-glib (3.26.1-1) unstable; urgency=medium

  * New upstream release
  * debian/watch: Only watch for stable releases
  * Bump Standards-Version to 4.1.1

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 03 Oct 2017 17:54:14 -0400

template-glib (3.26.0-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.1.0

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 11 Sep 2017 19:55:40 -0400

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                libglib2.0-dev,
                meson (>= 0.38.1),
                valac
-Standards-Version: 4.0.1
+Standards-Version: 4.1.1
 Homepage: https://people.gnome.org/~chergert/docs/template-glib/
 Vcs-Git: https://anonscm.debian.org/git/pkg-gnome/template-glib.git
 Vcs-Browser: https://anonscm.debian.org/git/pkg-gnome/template-glib.git/

=== debian/rules ===
#!/usr/bin/make -f
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@  --with gnome,gir

override_dh_auto_configure:
	dh_auto_configure -- \
		-Denable_gtk_doc=true \
		-Dwith_introspection=true \
		-Dwith_vapi=true \

override_dh_makeshlibs:
	dh_makeshlibs -V -- -c4

override_dh_missing:
	dh_missing --fail-missing

## template-glib 3.27.90

=== debian/changelog ===
template-glib (3.27.90-1) experimental; urgency=medium

  * New upstream release
  * Bump minimum meson to 0.40.1
  * debian/libtemplate-glib-1.0-0.symbols: Add new symbols

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 05 Feb 2018 11:31:09 -0500

template-glib (3.26.1-2) unstable; urgency=medium

  * Update Vcs fields for migration to https://salsa.debian.org/
  * Bump debhelper compat to 11

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 02 Feb 2018 15:37:27 -0500

=== debian/control ===
--- 
+++ 
@@ -8,19 +8,19 @@
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>
 Build-Depends: bison,
-               debhelper (>= 10.3),
+               debhelper (>= 11),
                flex,
                gnome-pkg-tools,
                gobject-introspection,
                gtk-doc-tools,
                libgirepository1.0-dev,
                libglib2.0-dev,
-               meson (>= 0.38.1),
+               meson (>= 0.40.1),
                valac
 Standards-Version: 4.1.1
+Vcs-Browser: https://salsa.debian.org/gnome-team/template-glib
+Vcs-Git: https://salsa.debian.org/gnome-team/template-glib.git
 Homepage: https://people.gnome.org/~chergert/docs/template-glib/
-Vcs-Git: https://anonscm.debian.org/git/pkg-gnome/template-glib.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-gnome/template-glib.git/
 
 Package: libtemplate-glib-1.0-0
 Architecture: any

## template-glib 3.28.0

=== debian/changelog ===
template-glib (3.28.0-1) unstable; urgency=medium

  * New upstream release
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 13 Mar 2018 21:02:09 -0400

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # This file is autogenerated. DO NOT EDIT!
-# 
+#
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: template-glib

=== debian/rules ===
#!/usr/bin/make -f
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

%:
	dh $@  --with gnome,gir

override_dh_auto_configure:
	dh_auto_configure -- \
		-Denable_gtk_doc=true \
		-Dwith_introspection=true \
		-Dwith_vapi=true \

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

override_dh_missing:
	dh_missing --fail-missing

## template-glib 3.30.0

=== debian/changelog ===
template-glib (3.30.0-1) unstable; urgency=medium

  * New upstream release
  * Add X-Ubuntu-Use-Langpack to opt in to Ubuntu language pack handling
    (LP: #1779574)
  * Bump Standards-Version to 4.2.1

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 05 Sep 2018 10:41:38 -0400

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,8 @@
                libglib2.0-dev,
                meson (>= 0.40.1),
                valac
-Standards-Version: 4.1.1
+Standards-Version: 4.2.1
+X-Ubuntu-Use-Langpack: yes
 Vcs-Browser: https://salsa.debian.org/gnome-team/template-glib
 Vcs-Git: https://salsa.debian.org/gnome-team/template-glib.git
 Homepage: https://people.gnome.org/~chergert/docs/template-glib/

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,4 @@
 #!/usr/bin/make -f
--include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

## template-glib 3.32.0

=== debian/changelog ===
template-glib (3.32.0-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 13 Mar 2019 19:00:19 -0400

template-glib (3.30.0-2) unstable; urgency=medium

  * Add -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 27 Dec 2018 17:34:50 -0500

## template-glib 3.34.0

=== debian/changelog ===
template-glib (3.34.0-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum meson to 0.50.0
  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Build-Depend on dh-sequence-gir and dh-sequence-gnome
  * Bump Standards-Version to 4.4.0
  * Upload to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 14 Sep 2019 19:28:16 -0400

=== debian/control ===
--- 
+++ 
@@ -6,18 +6,18 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
 Build-Depends: bison,
-               debhelper (>= 11),
+               debhelper-compat (= 12),
+               dh-sequence-gir,
+               dh-sequence-gnome,
                flex,
-               gnome-pkg-tools,
-               gobject-introspection,
                gtk-doc-tools,
                libgirepository1.0-dev,
                libglib2.0-dev,
-               meson (>= 0.40.1),
+               meson (>= 0.50.0),
                valac
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 X-Ubuntu-Use-Langpack: yes
 Vcs-Browser: https://salsa.debian.org/gnome-team/template-glib
 Vcs-Git: https://salsa.debian.org/gnome-team/template-glib.git

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,10 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
 
 %:
-	dh $@  --with gnome,gir
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \

## template-glib 3.34.1

=== debian/changelog ===
template-glib (3.34.1-1) unstable; urgency=medium

  * New upstream release
  * Bump debhelper-compat to 13
  * Bump Standards-Version to 4.6.0

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 21 Mar 2022 10:41:57 -0400

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
 Build-Depends: bison,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
                flex,
@@ -17,7 +17,7 @@
                libglib2.0-dev,
                meson (>= 0.50.0),
                valac
-Standards-Version: 4.4.0
+Standards-Version: 4.6.0
 X-Ubuntu-Use-Langpack: yes
 Vcs-Browser: https://salsa.debian.org/gnome-team/template-glib
 Vcs-Git: https://salsa.debian.org/gnome-team/template-glib.git

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Denable_gtk_doc=true \
		-Dwith_introspection=true \
		-Dwith_vapi=true \

## template-glib 3.36.0

=== meson_options.txt ===
# Performance and debugging related options
option('tracing', type: 'boolean', value: false)
option('profiling', type: 'boolean', value: false)

# Support for multiple languages
option('introspection', type: 'feature', value: 'auto')
option('vapi', type: 'boolean', value: true)

# For subproject usage
option('package_subdir', type: 'string',
  description: 'Private sub-directory used when built as a subproject'
)

option('gtk_doc',
       type: 'boolean', value: false,
       description: 'Whether to generate the API reference for Template-GLib')

option('tests', type: 'boolean', value: true)

=== debian/changelog ===
template-glib (3.36.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Set Rules-Requires-Root: no

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 19 Sep 2022 10:42:49 -0400

template-glib (3.35.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum meson to 0.51.0
  * debian/libtemplate-glib-1.0-0.symbols: Add new symbols
  * debian/rules: Update configure options

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 03 Aug 2022 15:26:41 -0400

=== debian/control ===
--- 
+++ 
@@ -15,9 +15,10 @@
                gtk-doc-tools,
                libgirepository1.0-dev,
                libglib2.0-dev,
-               meson (>= 0.50.0),
+               meson (>= 0.51.0),
                valac
 Standards-Version: 4.6.0
+Rules-Requires-Root: no
 X-Ubuntu-Use-Langpack: yes
 Vcs-Browser: https://salsa.debian.org/gnome-team/template-glib
 Vcs-Git: https://salsa.debian.org/gnome-team/template-glib.git

## template-glib 3.36.1

=== debian/changelog ===
template-glib (3.36.1-2) unstable; urgency=medium

  * Add debian/upstream/metadata
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 27 May 2023 19:37:52 -0400

template-glib (3.36.1-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 08 Mar 2023 12:58:10 -0500

## template-glib 3.36.2

=== debian/changelog ===
template-glib (3.36.2-1) unstable; urgency=medium

  * New upstream release
  * Stop using debian/control.in and dh-sequence-gnome
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 01 Apr 2024 13:17:06 -0400

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,19 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: template-glib
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
+Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: bison,
                debhelper-compat (= 13),
                dh-sequence-gir,
-               dh-sequence-gnome,
                flex,
                gtk-doc-tools,
                libgirepository1.0-dev,
                libglib2.0-dev,
                meson (>= 0.51.0),
                valac
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
-X-Ubuntu-Use-Langpack: yes
 Vcs-Browser: https://salsa.debian.org/gnome-team/template-glib
 Vcs-Git: https://salsa.debian.org/gnome-team/template-glib.git
 Homepage: https://people.gnome.org/~chergert/docs/template-glib/

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,5 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		-Denable_gtk_doc=true \
-		-Dwith_introspection=true \
-		-Dwith_vapi=true \
+		-Dauto_features=enabled \
+		-Dgtk_doc=true

## template-glib 3.36.3

=== meson_options.txt ===
--- 
+++ 
@@ -6,7 +6,14 @@
 option('introspection', type: 'feature', value: 'auto')
 option('vapi', type: 'boolean', value: true)
 
-# For subproject usage
+# For subproject usage.
+#
+# If this is a subproject and you want the installed files to be private
+# that means you can set package_subdir=gnome-builder and install them in
+# someplace like:
+#
+# /usr/lib/gnome-builder/libtemplate_glib-1.0.so
+# /usr/lib/girepository-1.0/gnome-builder/TemplateGLib-1.0.typelib
 option('package_subdir', type: 'string',
   description: 'Private sub-directory used when built as a subproject'
 )

=== debian/changelog ===
template-glib (3.36.3-2) unstable; urgency=medium

  [ Simon McVittie ]
  * d/control: Add missing B-D on gir1.2-gio-2.0-dev as reported by
    dh_girepository
  * d/control: Replace libgirepository1.0-dev B-D.
    Unusually, this package links to libgirepository, so it needs
    libgirepository-1.0-dev and not just gobject-introspection.
  * d/control, d/rules: Only run gtk-doc if we are building the -doc
    package. We don't need this on the per-architecture buildds.
  * d/control: Remove Rules-Requires-Root, unnecessary since trixie
  * d/control: Standards-Version: 4.7.2 (no changes required)
  * d/salsa-ci.yml: Add

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 09 Sep 2025 10:59:49 -0400

template-glib (3.36.3-1) unstable; urgency=medium

  * New upstream release
  * libtemplate-glib-1.0-dev: Use ${gir:Depends} & ${gir:Provides}
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 08 Jan 2025 16:48:25 -0900

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,14 @@
                debhelper-compat (= 13),
                dh-sequence-gir,
                flex,
-               gtk-doc-tools,
-               libgirepository1.0-dev,
+               gir1.2-gio-2.0-dev,
+               gobject-introspection (>= 1.80),
+               libgirepository-1.0-dev,
                libglib2.0-dev,
                meson (>= 0.51.0),
                valac
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+Build-Depends-Indep: gtk-doc-tools <!nodoc>,
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/template-glib
 Vcs-Git: https://salsa.debian.org/gnome-team/template-glib.git
 Homepage: https://people.gnome.org/~chergert/docs/template-glib/
@@ -37,9 +38,11 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends},
+         ${gir:Depends},
          libtemplate-glib-1.0-0 (= ${binary:Version}),
          gir1.2-template-1.0 (= ${binary:Version}),
          libglib2.0-dev,
+Provides: ${gir:Provides}
 Suggests: libtemplate-glib-doc
 Description: templating library for GLib - development files
  Template-GLib includes a simple template format along with integration into
@@ -65,6 +68,7 @@
  This package contains common data files and translations.
 
 Package: libtemplate-glib-doc
+Build-Profiles: <!nodoc>
 Section: doc
 Architecture: all
 Multi-Arch: foreign

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

built_binaries := $(shell dh_listpackages)

%:
	dh $@

configure_flags = -Dauto_features=enabled

ifeq ($(filter %-doc,$(built_binaries)),)
configure_flags += -Dgtk_doc=false
else
configure_flags += -Dgtk_doc=true
endif

override_dh_auto_configure:
	dh_auto_configure -- $(configure_flags)

## template-glib 3.37.1

=== debian/changelog ===
template-glib (3.37.1-2) experimental; urgency=medium

  * New upstream release
  * Build with libgirepository-2.0-dev instead of 1.0
  * debian/libtemplate-glib-1.0-0.symbols: Add new symbol
  * Cherry-pick patch to fix 32-bit build

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 10 Sep 2025 15:58:25 -0400

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                flex,
                gir1.2-gio-2.0-dev,
                gobject-introspection (>= 1.80),
-               libgirepository-1.0-dev,
+               libgirepository-2.0-dev,
                libglib2.0-dev,
                meson (>= 0.51.0),
                valac
@@ -39,9 +39,9 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          ${gir:Depends},
+         libgirepository-2.0-dev,
+         libglib2.0-dev,
          libtemplate-glib-1.0-0 (= ${binary:Version}),
-         gir1.2-template-1.0 (= ${binary:Version}),
-         libglib2.0-dev,
 Provides: ${gir:Provides}
 Suggests: libtemplate-glib-doc
 Description: templating library for GLib - development files

## template-glib 3.38.0

=== meson_options.txt ===
--- 
+++ 
@@ -18,7 +18,7 @@
   description: 'Private sub-directory used when built as a subproject'
 )
 
-option('gtk_doc',
+option('docs',
        type: 'boolean', value: false,
        description: 'Whether to generate the API reference for Template-GLib')

=== debian/changelog ===
template-glib (3.38.0-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 13 Oct 2025 19:44:36 -0400

template-glib (3.38.0-1) experimental; urgency=medium

  * New upstream release
  * Build docs with gi-docgen
  * Remove remaining patch: applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 13 Sep 2025 08:07:36 -0400

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                libglib2.0-dev,
                meson (>= 0.51.0),
                valac
-Build-Depends-Indep: gtk-doc-tools <!nodoc>,
+Build-Depends-Indep: gi-docgen <!nodoc>,
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/template-glib
 Vcs-Git: https://salsa.debian.org/gnome-team/template-glib.git

=== debian/rules ===
--- 
+++ 
@@ -12,9 +12,9 @@
 configure_flags = -Dauto_features=enabled
 
 ifeq ($(filter %-doc,$(built_binaries)),)
-configure_flags += -Dgtk_doc=false
+configure_flags += -Ddocs=false
 else
-configure_flags += -Dgtk_doc=true
+configure_flags += -Ddocs=true
 endif
 
 override_dh_auto_configure:
